GET /cloud/{uuid}/hosts/

GET /cloud/{uuid}/hosts/

/cloud/{uuid}/hosts/

Request
URI
GET
https://{api_host}/api/cloud/{uuid}/hosts
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CC_LinuxServer of type(s) application/json
{
    "access_err": "string",
    "cfg": {
        "hosts": [
            {
                "host_attr": [
                    {
                        "attr_key": "string",
                        "attr_val": "string"
                    }
                ],
                "host_ip": {
                    "addr": "string",
                    "type": "string"
                },
                "node_availability_zone": "string",
                "se_group_ref": "string"
            }
        ],
        "se_inband_mgmt": false,
        "se_log_disk_path": "string",
        "se_log_disk_size_GB": 0,
        "se_sys_disk_path": "string",
        "se_sys_disk_size_GB": 0,
        "ssh_user_ref": "string"
    },
    "hosts": [
        {
            "host": "string",
            "host_ip": "string",
            "reason": "string",
            "ssh_last_ts": "string",
            "ssh_reason": "string",
            "ssh_state": "string",
            "state": "string"
        }
    ],
    "inited_hosts": [
        "string"
    ],
    "ipam_info": {
        "aws_htoken_expiry": "string",
        "aws_stoken_expiry": "string",
        "err_msg": "string",
        "ipam_uuid": "string",
        "mode": "string",
        "os_subnet_cidr": "string",
        "os_subnet_id": "string",
        "os_tenant_id": "string",
        "park_intfs": [
            {
                "intf_id": "string",
                "intf_ip": "string",
                "message": "string",
                "network_id": "string",
                "other_ips": [
                    "string"
                ],
                "subnet_id": "string",
                "tenant_id": "string"
            }
        ],
        "ready": false,
        "vpc_id": "string"
    },
    "sshinfo": {
        "key_file": "string",
        "user_key": "string",
        "user_name": "string",
        "user_pwd": "string",
        "user_uuid": "string"
    },
    "uninited_hosts": [
        "string"
    ],
    "version_tag": "string"
}
string
access_err
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
cfg
Optional

cfg

array of object
hosts
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
inited_hosts
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
ipam_info
Optional

ipam_info

object
sshinfo
Optional

sshinfo

array of string
uninited_hosts
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
version_tag
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/cloud/{uuid}/hosts